import { Observable } from 'rxjs';
import { ConfigurationParameters } from './runtime';
import { Peer } from './models';
export declare class NetworkHttp {
    /**
     * Constructor
     * @param url
     */
    constructor(configuration: ConfigurationParameters);
    id(): Observable<string>;
    addresses(): Observable<string[]>;
    peers(): Observable<Peer[]>;
    /**
     * @param address single address as returned from addresses()
     */
    connect(address: string): Observable<void>;
    disconnect(address: string): Observable<void>;
}
