import { Observable } from 'rxjs';
import { ConfigurationParameters } from './runtime';
import { Contract, VerifyResult } from './models';
export declare class ContractClientHttp {
    /**
     * Constructor
     * @param url
     */
    constructor(configuration: ConfigurationParameters);
    ls(): Observable<string[]>;
    getContract(drive: string): Observable<Contract>;
    compose(space: number, duration: string, replicas?: number, minReplicators?: number, subscriptionPrice?: number, numberSubscriptionPeriods?: number, percentApprovers?: number, privateKey?: string): Observable<Contract>;
    verify(drive: string): Observable<VerifyResult[]>;
    finish(drive: string): Observable<void>;
    ammends(drive: string): Observable<Contract>;
}
