import { Observable } from 'rxjs';
import { ConfigurationParameters } from './runtime';
import { CidWithPath, SuperContract, SupercontractExec } from './models';
export declare class SuperContractHttp {
    /**
     * Constructor
     * @param url
     */
    constructor(configuration: ConfigurationParameters);
    deploy(cid: string, driveFilePath: string): Observable<string>;
    ls(cid: string): Observable<string[]>;
    get(cid: string): Observable<SuperContract>;
    execute(cid: string, gas: number, functionName: string, params?: string[]): Observable<SupercontractExec>;
    executions(): Observable<CidWithPath[]>;
    results(cid: any): Observable<string[]>;
    deactivate(cid: string): Observable<void>;
}
